Knowledge Search


×
 

2018-10 Security Bulletin: Junos OS: Unauthenticated remote root access possible when RSH service is enabled (CVE-2018-0052)

  [JSA10886] Show Article Properties


Product Affected:
This issue affects Junos OS 12.1X46, 12.3, 12.3X48, 14.1X53, 15.1, 15.1X49, 15.1X53, 16.1, 16.2, 17.1, 17.2, 17.2X75, 17.3, 17.4, 18.2X75.
Problem:

If RSH service is enabled on Junos OS and if the PAM authentication is disabled, a remote unauthenticated attacker can obtain root access to the device.

RSH service is disabled by default on Junos. There is no documented CLI command to enable this service. However, an undocumented CLI command allows a privileged Junos user to enable RSH service and disable PAM, and hence expose the system to unauthenticated root access.

When RSH is enabled, the device is listing to RSH connections on port 514.

This issue is not exploitable on platforms where Junos release is based on FreeBSD 10+. Please see https://www.juniper.net/documentation/en_US/junos/topics/topic-map/junos-kernel-freebsd-upgraded.html for a list of platforms and Junos Releases that are based in FreeBSD 10 or later.

Affected releases are Juniper Networks Junos OS:

  • 12.1X46 versions prior to 12.1X46-D77 on SRX Series;
  • 12.3 versions prior to 12.3R12-S10;
  • 12.3X48 versions prior to 12.3X48-D75 on SRX Series;
  • 14.1X53 versions prior to 14.1X53-D47 on QFX/EX Series;
  • 15.1 versions prior to 15.1R4-S9, 15.1R6-S6, 15.1R7;
  • 15.1X49 versions prior to 15.1X49-D131, 15.1X49-D140 on SRX Series;
  • 15.1X53 versions prior to 15.1X53-D59 on EX2300/EX3400 Series;
  • 15.1X53 versions prior to 15.1X53-D67 on QFX10K Series;
  • 15.1X53 versions prior to 15.1X53-D233 on QFX5200/QFX5110 Series;
  • 15.1X53 versions prior to 15.1X53-D471, 15.1X53-D490 on NFX Series;
  • 16.1 versions prior to 16.1R3-S9, 16.1R4-S9, 16.1R5-S4, 16.1R6-S4, 16.1R7;
  • 16.2 versions prior to 16.2R2-S5;
  • 17.1 versions prior to 17.1R1-S7, 17.1R2-S7, 17.1R3;
  • 17.2 versions prior to 17.2R1-S6, 17.2R2-S4, 17.2R3;
  • 17.2X75 versions prior to 17.2X75-D110, 17.2X75-D91;
  • 17.3 versions prior to 17.3R1-S4, 17.3R2-S2, 17.3R3;
  • 17.4 versions prior to 17.4R1-S3, 17.4R2;
  • 18.2X75 versions prior to 18.2X75-D5.

This issue only affects configurations where RSH service is enabled and the PAM authentication is disabled.

Juniper SIRT is not aware of any malicious exploitation of this vulnerability.

This issue was found during internal product security testing or research.

This issue has been assigned CVE-2018-0052.
 

Solution:

This CLI option has been removed from the fixed Junos releases.

The following software releases have been updated to resolve this specific issue: 12.1X46-D77, 12.3R12-S10, 12.3X48-D75, 14.1X53-D47, 15.1R4-S9, 15.1R6-S6, 15.1R7, 15.1X49-D131, 15.1X49-D140, 15.1X53-D233, 15.1X53-D471, 15.1X53-D490, 15.1X53-D59, 15.1X53-D67, 16.1R3-S9, 16.1R4-S9, 16.1R5-S4, 16.1R6-S4, 16.1R7, 16.2R2-S5, 17.1R1-S7, 17.1R2-S7, 17.1R3, 17.2R1-S6, 17.2R2-S4, 17.2R3, 17.2X75-D110, 17.2X75-D91, 17.3R1-S4, 17.3R2-S2, 17.3R3, 17.4R1-S3, 17.4R2, 18.1R1, 18.2R1, 18.2X75-D5, and all subsequent releases.

This issue is being tracked as PR 1288932 which is visible on the Customer Support website.

Note: Juniper SIRT's policy is not to evaluate releases which are beyond End of Engineering (EOE) or End of Life (EOL).
 

Workaround:
  1. Ensure there is no RSH service listening on port 514.
  2. Utilize common security BCPs to limit the exploitable surface by limiting access to network and device to trusted systems, administrators, networks and hosts.
Implementation:
Software Releases, patches and updates are available at https://www.juniper.net/support/downloads/.
 
Modification History:
‚Äč2018-10-10: Initial publication

Related Links:
CVSS Score:
7.2 (CVSS:3.0/AV:N/AC:L/PR:H/UI:N/S:U/C:H/I:H/A:H)
Risk Level:
High
Risk Assessment:
Information for how Juniper Networks uses CVSS can be found at KB 16446 "Common Vulnerability Scoring System (CVSS) and Juniper's Security Advisories."